import IMoveItemResponse, { IAddFolderResponse, ICreateFolderRequest, IGetNodeInfoRequest, IMoveItemRequest, IRemoveItemRequest, ISaveContentRequest, ISaveContentResponse } from '../types/api';
export declare function createFolder(request: ICreateFolderRequest): Promise<IAddFolderResponse>;
export declare function removeItem(request: IRemoveItemRequest): Promise<{
    deleted: boolean;
}>;
export declare function moveItem(request: IMoveItemRequest): Promise<IMoveItemResponse>;
export declare function getNodeInfo(request: IGetNodeInfoRequest): Promise<import('../types/api').INodeInfo[] | {
    content: any;
    name: string;
    type: import('../types/api').FileFolderType;
    ext: string;
    date: string;
    size?: number | undefined;
}>;
export declare function saveContent(request: ISaveContentRequest): Promise<ISaveContentResponse>;
